---
title: SpeechGrammarList.item()
slug: Web/API/SpeechGrammarList/item
tags:
  - API
  - Experimental
  - Getter
  - Method
  - Reference
  - SpeechGrammarList
  - Web Speech API
  - item
  - recognition
  - speech
---
<p>{{APIRef("Web Speech API")}}{{ SeeCompatTable() }}</p>

<p>The <code><strong>item</strong></code> getter of the {{domxref("SpeechGrammarList")}} interface is a standard getter — it allows individual {{domxref("SpeechGrammar")}} objects to be retrieved from the <code>SpeechGrammarList</code> using array syntax.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var myFirstGrammar = speechGrammarListInstance[0];</pre>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("SpeechGrammar")}} object.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var grammar = '#JSGF V1.0; grammar colors; public &lt;color&gt; = aqua | azure | beige | bisque | black | blue | brown | chocolate | coral | crimson | cyan | fuchsia | ghostwhite | gold | goldenrod | gray | green | indigo | ivory | khaki | lavender | lime | linen | magenta | maroon | moccasin | navy | olive | orange | orchid | peru | pink | plum | purple | red | salmon | sienna | silver | snow | tan | teal | thistle | tomato | turquoise | violet | white | yellow ;'
var recognition = new SpeechRecognition();
var speechRecognitionList = new SpeechGrammarList();
speechRecognitionList.addFromString(grammar, 1);
recognition.grammars = speechRecognitionList;

var myFirstGrammar = speechRecognitionList[0]; // var should contain the SpeechGrammar object created in line 4.
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Web Speech API', '#dom-speechgrammarlist-item', 'item()')}}</td>
			<td>{{Spec2('Web Speech API')}}</td>
			<td> </td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.SpeechGrammarList.item")}}</p>

<h3 id="Firefox_OS_permissions">Firefox OS permissions</h3>

<p>To use speech recognition in an app, you need to specify the following permissions in your <a href="/en-US/docs/Web/Apps/Build/Manifest">manifest</a>:</p>

<pre class="brush: json">"permissions": {
  "audio-capture" : {
    "description" : "Audio capture"
  },
  "speech-recognition" : {
    "description" : "Speech recognition"
  }
}</pre>

<p>You also need a privileged app, so you need to include this as well:</p>

<pre class="brush: json">  "type": "privileged"</pre>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
</ul>
